<div class="row bgcolor">
  <div class="col-md-12">
    <h3>Contact Details</h3>
  </div>
</div>
<div class="row pt-3">
  <div class="col-md-12">
    <form [formGroup]="contactDetailsForm">
      <table>
        <tr>
          <td class="w-25"><label for="">Home Phone No</label></td>
          <td class="px-5">
            <input
              type="number"
              class="form-control px-5"
              formControlName="homeNo"
              name="homeNo"
            />
            <div
              class="alert alert-danger text-center"
              *ngIf="homeNo.invalid && homeNo.touched"
            >
              Enter 10 Digit No Starting With &#40;6-9&#41;
            </div>
          </td>
        </tr>
        <tr>
          <td class="w-25"><label for="">Mobile Phone No</label></td>
          <td class="px-5">
            <input
              type="number"
              class="form-control px-5"
              formControlName="mobileNo"
              name="mobileNo"
            />
            <div
              class="alert alert-danger text-center"
              *ngIf="mobileNo.invalid && mobileNo.touched"
            >
              Enter 10 Digit No Starting With &#40;6-9&#41;
            </div>
          </td>
        </tr>
      </table>

      <div class="d-flex pt-2">
        <div class="form-group">
          <label for="">Fax No</label>
          <input
            type="number"
            class="form-control px-5"
            formControlName="faxNo"
            name="faxNo"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="faxNo.invalid && faxNo.touched"
          >
            Fax No Required
          </div>
        </div>
        <div class="form-group mx-5">
          <label for="">Work Phone No</label>
          <input
            type="number"
            class="form-control px-5"
            formControlName="workNo"
            name="workNo"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="workNo.invalid && workNo.touched"
          >
            Enter 10 Digit No Starting With &#40;6-9&#41;
          </div>
        </div>
      </div>

      <h4 class="pt-4">Address Where you get your mail</h4>
      <span>&#40;This address will appear on your document&#41;</span>
      <div class="pt-3">
        <table class="table border">
          <tr>
            <th>Unit No</th>
            <th>City</th>
            <th>State</th>
            <th>Post Code</th>
            <th>Country</th>
          </tr>
          <tr>
            <td>Data</td>
            <td>Data</td>
            <td>Data</td>
            <td>Data</td>
            <td>Data</td>
          </tr>
        </table>
      </div>

      <div class="d-flex">
        <label for="">Has your mailling address changed?</label>
        <div class="form-check mx-5">
          <input
            class="form-check-input"
            type="radio"
            id="inlineCheckbox1"
            value="Yes"
            name="mailChanged"
            formControlName="mailChanged"
          />
          <label class="form-check-label" for="">Yes</label>
        </div>
        <div class="form-check mx-5">
          <input
            class="form-check-input"
            type="radio"
            id="inlineCheckbox1"
            value="No"
            name="mailChanged"
            formControlName="mailChanged"
          />
          <label class="form-check-label" for="">No</label>
          <div
            class="alert alert-danger text-center"
            *ngIf="mailChanged.invalid && mailChanged.touched"
          >
            mail check Required
          </div>
        </div>
      </div>

      <div class="form-group">
        <label for="">Other Language</label>
        &#40;new license class,wrong date of birth,etc&#41;
        <input
          type="text"
          class="form-control"
          formControlName="otherLanguage"
          name="otherLanguage"
        />
        <div
          class="alert alert-danger text-center"
          *ngIf="otherLanguage.invalid && otherLanguage.touched"
        >
          Other Language Required
        </div>
      </div>
      <!-- <button
        class="btn btn-sm btn-danger mt-2"
        (click)="getData()"
        [disabled]="!contactDetailsForm.valid"
      >
        Submit
      </button> -->
    </form>
  </div>
</div>

<!-- <div class="row">
  <div class="col-md-12">
    <app-child-contact-details
      [selectedValue]="parentData"
    ></app-child-contact-details>
  </div>
</div> -->
